cURL
curl --request GET \
--url https://api.comm.com/api/v1/public/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/public/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/public/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"meta": {
"name": "<string>",
"description": "<string>",
"overview": "<string>",
"solutions": [],
"type": "<string>",
"scopes": [
{
"method": "<string>",
"endpoint": "<string>",
"reason": "<string>"
}
],
"webhooks": {
"live": "<string>",
"sandbox": "<string>"
},
"events": {
"subscribed": [
{
"type": "<string>",
"reason": "<string>",
"hold_until_response": true,
"type_priority": 123,
"is_optional": true
}
],
"errors": [
{
"type": "<string>",
"description": "<string>"
}
],
"success_response": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"custom_fields": [
{
"resource": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>"
}
],
"billing": {
"managed_balance": true,
"cost": [
{
"amount": 123,
"currency": "<string>",
"description": "<string>"
}
],
"overview": "<string>"
},
"required_fields": [
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"default": "<string>",
"required": true
}
],
"validate_api_key": true,
"tags": [
"<string>"
]
},
"type": "<string>",
"team_id": "<string>",
"status": "<string>",
"vendor": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"meta": {
"email": "<string>",
"website": "<string>",
"logo": "<string>"
}
},
"team": {
"id": "<string>",
"integration_id": "<string>",
"meta": {
"events": [
{
"type": "<string>",
"is_active": true
}
],
"required_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
}
]
}Integrations
Get v1publicintegrations
GET
/
v1
/
public
/
integrations
cURL
⌘I